/*
 * menu.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef __VODMENU_H
#define __VODMENU_H

#if VDRVERSNUM >= 10307
#include <vdr/osdbase.h>
#else
#include <vdr/osd.h>
#endif

#include <vdr/menuitems.h>
#include <vdr/interface.h>

// ----------------------------------------------------------------
class cItemsMenu: public cOsdMenu {
private:
  void AddMultiLineItem(const char *s);
public:
  cItemsMenu(void);
  virtual eOSState ProcessKey(eKeys Key);
  //virtual ~cItemsMenu();
  void Play(void);
};

// ----------------------------------------------------------------
class cRssMenu: public cOsdMenu {
public:
  cRssMenu(void);
  //virtual ~cRssMenu();
  virtual eOSState ProcessKey(eKeys Key);
  virtual eOSState Select(void);
};

// ----------------------------------------------------------------
class cVodMenu: public cOsdMenu {
public:
  cVodMenu(void);
  //virtual ~cVodMenu(void);
  virtual eOSState ProcessKey(eKeys Key);
};

#endif //__VODMENU_H
